Bug 22585 - Updated package: openbox
Summary: Updated package: openbox
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-02-13 23:19 CET by Stig-Ørjan Smelror
Modified: 2018-02-23 18:15 CET (History)
5 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Stig-Ørjan Smelror 2018-02-13 23:19:57 CET
Advisory
========

This is a bugfix release with two upstream patches.

References
==========
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=49fb7f52e5488f7b13702d40e94b1b05c6cb2fb5
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=b0c40f37282035c253250fa82eaba8eeafb8e597

Files
=====
openbox-3.6.1-5.1.mga6
lib64obt2-3.6.1-5.1.mga6
lib64obrender32-3.6.1-5.1.mga6
lib64openbox-devel-3.6.1-5.1.mga6

from openbox-3.6.1-5.1.mga6.src.rpm
Comment 1 Stig-Ørjan Smelror 2018-02-14 13:27:55 CET
Advisory
========

This is a bugfix release with 4 upstream patches.

References
==========
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=49fb7f52e5488f7b13702d40e94b1b05c6cb2fb5
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=b0c40f37282035c253250fa82eaba8eeafb8e597
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=025822e7b5609943d3635434b91d43b4de8a2a81
http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=d9a405e9b3b0e9bfe5686c6df456138b443d1e35

Files
=====
openbox-3.6.1-5.2.mga6
lib64obt2-3.6.1-5.2.mga6
lib64obrender32-3.6.1-5.2.mga6
lib64openbox-devel-3.6.1-5.2.mga6

from openbox-3.6.1-5.2.mga6.src.rpm
Comment 2 Jani Välimaa 2018-02-15 20:16:06 CET
And what do these 4 patches fix? It should be mentioned in bug report/advisory.
Comment 3 Stig-Ørjan Smelror 2018-02-15 20:23:36 CET
Advisory
========

This is a bugfix release with 4 upstream patches.

1. Don't clobber loop variable with return value
2. Apply combined shape mask correctly
3. Directional switching
4. Add 'last' as a desktop target for if/foreach

References
==========
1. http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=49fb7f52e5488f7b13702d40e94b1b05c6cb2fb5
2. http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=b0c40f37282035c253250fa82eaba8eeafb8e597
3. http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=025822e7b5609943d3635434b91d43b4de8a2a81
4. http://git.openbox.org/?p=mikachu/openbox.git;a=commit;h=d9a405e9b3b0e9bfe5686c6df456138b443d1e35

Files
=====
openbox-3.6.1-5.2.mga6
lib64obt2-3.6.1-5.2.mga6
lib64obrender32-3.6.1-5.2.mga6
lib64openbox-devel-3.6.1-5.2.mga6

from openbox-3.6.1-5.2.mga6.src.rpm
Comment 4 Herman Viaene 2018-02-16 15:30:01 CET
MGA6-32 on Dell Latitude D600 Mate
No installation issues.
I cannot find a way to test this
Ctrl-Alt-F2 brings me to a new environment, logging in with a second user on the system, but then all I get from openbox or openbox-session is "Cannot open screen defined by environment variable DISPLAY. I set it to 1 to no avail.

CC: (none) => herman.viaene

Comment 5 Stig-Ørjan Smelror 2018-02-16 16:53:49 CET
Herman, are you able to do it with the old version of Openbox?

Cheers,
Stig
Comment 6 Len Lawrence 2018-02-16 17:34:46 CET
Mageia 6 :: x86_64

Installed packages and logged out.  Selected openbox and logged in.
Dark screen with a terminal emulator came up.  There was a complaint from hplip that no systray could be found.  The commandline worked fine.  Launched nvidia-settings to check display setting.  It showed vega:0 as expected.  
$ echo $DISPLAY
:0

Right-click on background brought up a menu for applications, configuration, desktop and logout.  Four workspaces defined.  Moved freely between them.
It looks good for x86_64.

CC: (none) => tarazed25

Comment 7 Len Lawrence 2018-02-16 17:46:34 CET
Also, on this system, there was no openbox-session available, just plain openbox.
Comment 8 Len Lawrence 2018-02-16 18:36:24 CET
Back into openbox.  Switched theme to syscrash.  Right-click menu is actually 
Applications
Desktops 
System
Logout

emacs works with customized keyboard shortcuts.

Tried to enable the dock but could not figure how.  Documentation said it would remain invisible until a dock application was run, like a clock.  Opened a clock and closed it.  No dock.  Opened galculator and iconized it.  It vanished in the direction of the dock but could not be retrieved.

Not sure about the OK now.
Comment 9 Len Lawrence 2018-02-16 19:24:17 CET
All my tests may be null-and-void.  Openbox is a window manager is it not.  So how does one change the window manager?  The Mageia wiki page is marked as untrusted on this subject.

$ openbox-session
Obt-Message: Xinerama extension is not present on the server
Openbox-Message: A window manager is already running on screen 0
$ openbox
Obt-Message: Xinerama extension is not present on the server
Openbox-Message: A window manager is already running on screen 0
Comment 10 Len Lawrence 2018-02-16 19:31:35 CET
$ ps aux | grep marco
lcl      31728  0.1  0.2 487388 42928 ?        Sl   17:52   0:02 marco --sm-client-id 106a8c309d481cfd9f151563128169029100000112310065
$ kill -9 31728

Display restarts on workspace 1.
$ openbox
Obt-Message: Xinerama extension is not present on the server
Openbox-Message: A window manager is already running on screen 0
$ ps aux | grep marco
lcl      19907  0.2  0.2 485324 40944 ?        Sl   18:26   0:00 marco --sm-client-id 106a8c309d481cfd9f151563128169029100000112310065

marco simply restarts.
Comment 11 Len Lawrence 2018-02-16 19:41:45 CET
Finally figured it out.  Logged in to Mate and:
$ openbox --replace
Obt-Message: Xinerama extension is not present on the server
Openbox-Warning: Openbox is configured for 4 desktops, but the current session has 5.  Overriding the Openbox configuration.

The theme has switched to the Syscrash theme configured for openbox earlier.
The panel stuff still works and so does everything else.
$ ps aux | grep openbox
lcl       5716  0.0  0.1 198768 28788 pts/0    S+   18:35   0:00 openbox --replace

openbox looks good for 64 bits.
Len Lawrence 2018-02-16 19:42:10 CET

Whiteboard: (none) => MGA6-64-OK

Comment 12 Len Lawrence 2018-02-16 20:03:16 CET
Something odd here.
$ ps aux | grep marco
lcl       2435  0.4  0.2 480188 34688 ?        Sl   18:52   0:00 marco --sm-clie
$ marco --sm-disable
Window manager warning: Screen 0 on display ":0" already has a window manager; try using the --replace option to replace the current window manager.
$ ps aux | grep marco
lcl       2435  0.0  0.2 480188 34688 ?        Sl   18:52   0:00 marco --sm-client-id 106a8c309d481cfd9f151563128169029100000112310065
$ kill -9 2435
$ ps aux | grep marco
lcl      14535  0.5  0.2 480188 35044 ?        Sl   18:59   0:00 marco --sm-client-id 106a8c309d481cfd9f151563128169029100000112310065

Dead but it won't lie down.
Comment 13 Herman Viaene 2018-02-17 09:50:23 CET
Choose openbox at boot. Strange experience: just a black screen with a mouse pointer. Right click to get menus, which is basically the same as in MATE. One annoying thing: there doesn't seem to be any entry for caja, so only way seems to be: open terminal and type the command.
Comment 14 Herman Viaene 2018-02-17 10:45:49 CET
@ Stig
Result is the same with older version.
So newer version OK with me.

Whiteboard: MGA6-64-OK => MGA6-64-OK MGA6-32-OK

Len Lawrence 2018-02-17 21:00:25 CET

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update

Dave Hodgins 2018-02-22 20:12:00 CET

Keywords: (none) => advisory
CC: (none) => davidwhodgins

Comment 15 Thomas Backlund 2018-02-22 21:08:31 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0035.html

CC: (none) => tmb
Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 16 Mageia Robot 2018-02-23 18:15:23 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0035.html

Note You need to log in before you can comment on or make changes to this bug.